namespace eval pdlog:: {
    proc receive {msg} {
        set arg [lindex $msg 0]
        set msg [lrange $msg 1 end]
        set msg [join $msg]
        switch $arg {
            fatal {
                ::pdwindow::fatal "$msg\n"
            } error {
                ::pdwindow::error "$msg\n"
            } post {
                ::pdwindow::post "$msg\n"
            } debug {
                ::pdwindow::debug $msg
                ::pdwindow::post "\n"
            } default {
                ::pdwindow::post "$arg $msg\n"
            }
        }
    }
}

::pd_connect::register_plugin_dispatch_receiver "pdlog-receive" ::pdlog::receive
